org.apache.fop.render.rtf

## Class RTFPlaceHolderHelper

- java.lang.Object
- - org.apache.fop.render.rtf.RTFPlaceHolderHelper

-     public class RTFPlaceHolderHelper
      extends Object

  This class creates objects which are missing from the XSL:FO but are required by the RTF format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTFPlaceHolderHelper(BuilderContext builderContext)` Creates a new instance for the RTF place holder which attempts to resolve mismatches in structure between XSL:FO and RTF.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createRTFPlaceholder(Class containerClass)` A method to create an object which is missing and required from the RTF structure.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RTFPlaceHolderHelper

          public RTFPlaceHolderHelper(BuilderContext builderContext)

      Creates a new instance for the RTF place holder which attempts to resolve mismatches in structure between XSL:FO and RTF.
      Parameters:
        `builderContext` - The builder context

  - ### Method Detail

    - #### createRTFPlaceholder

          public void createRTFPlaceholder(Class containerClass)
                                    throws RtfException

      A method to create an object which is missing and required from the RTF structure.
      Parameters:
        `containerClass` - The class which is missing
      Throws:
        `RtfException`

Copyright © 2023 Apache Software Foundation. All rights reserved.